Bug 192390 - New port: net/quiterss
Summary: New port: net/quiterss
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-05 04:54 UTC by Loïc Bartoletti
Modified: 2014-08-23 23:37 UTC (History)
1 user (show)

See Also:


Attachments
quiterss port (4.89 KB, text/plain)
2014-08-05 04:54 UTC, Loïc Bartoletti
no flags Details
new shar (4.72 KB, text/plain)
2014-08-08 04:53 UTC, Loïc Bartoletti
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2014-08-05 04:54:00 UTC
Created attachment 145376 [details]
quiterss port

QuiteRSS is a open-source cross-platform RSS/Atom news feeds reader like liferea but with Qt.
http://quiterss.org/

Build details:
https://redports.org/buildarchive/20140804184201-58904/
Comment 1 John Marino freebsd_committer 2014-08-05 06:15:06 UTC
You should use "USES+=tar:bz2" instead of "EXTRACT_SUFX=.tar.bz2" in the future.  I'll let the committer that takes this port make that change.
Comment 2 Loïc Bartoletti freebsd_committer 2014-08-08 04:53:20 UTC
Created attachment 145502 [details]
new shar

Add INSTALLS_ICONS
Fix USES= tar:bzip2
Comment 3 John Marino freebsd_committer 2014-08-23 22:34:15 UTC
Hmm, the pkg-descr file is disappointing.  It's the same contents as the COMMENT.  I can't believe this s/w only merits a single line to describe it to somebody wondering what the port is and if they should install it or not.
Comment 4 John Marino freebsd_committer 2014-08-23 22:38:20 UTC
To be fair to you, the official website does a pretty poor job of this as well.

If you come up with something better, paste it here.  For now I'll go with this.  It's not the first 1-line package description port in the tree.
Comment 5 John Marino freebsd_committer 2014-08-23 23:19:28 UTC
Example how redports < poudriere

===========================================================================
====> Running Q/A tests (stage-qa)
Warning: you need USES=desktop-file-utils
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/128x128/ap
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/128x128
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/16x16/apps
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/16x16
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/256x256/ap
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/256x256
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/32x32/apps
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/32x32
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/48x48/apps
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/48x48
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/64x64/apps
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor/64x64
Warning: Possibly owned by dependency: @dirrmtry share/icons/hicolor
Warning: Possibly owned by dependency: @dirrmtry share/icons
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done


So there's two problems that redports didn't catch and the third issue is the port name is QuiteRSS instead of "quiterss".
Comment 6 commit-hook freebsd_committer 2014-08-23 23:36:02 UTC
A commit references this bug:

Author: marino
Date: Sat Aug 23 23:35:29 UTC 2014
New revision: 365863
URL: http://svnweb.freebsd.org/changeset/ports/365863

Log:
  add new port net/quiterss

  PR:		192390
  Submitted by:	coder (tuxfamily.org)

  QuiteRSS is a open-source cross-platform RSS/Atom news feeds reader.
  WWW: http://quiterss.org/

Changes:
  head/net/Makefile
  head/net/quiterss/
  head/net/quiterss/Makefile
  head/net/quiterss/distinfo
  head/net/quiterss/files/
  head/net/quiterss/files/patch-lang-lang.pri
  head/net/quiterss/pkg-descr
  head/net/quiterss/pkg-plist
Comment 7 John Marino freebsd_committer 2014-08-23 23:37:15 UTC
committed with minor modications, thatnks!